import { LogOptions, LogExec } from '@spine/logger';
export { default as bootstrapHook, Params as BootstrapParams } from './hooks/bootstrap';
export { default as initHook, Params as InitParams } from './hooks/init';
export { default as deathHook, Params as DeathParams } from './hooks/death';
export declare const log: {
    (level: "error" | "warn" | "info" | "verbose" | "debug" | "special" | "silly", message: string): void;
    (level: "error" | "warn" | "info" | "verbose" | "debug" | "special" | "silly", options: LogOptions): void;
    (level: "error" | "warn" | "info" | "verbose" | "debug" | "special" | "silly", input: string | LogOptions): void;
    (message: string): void;
    (options: LogOptions): void;
    (input: string | LogOptions): void;
    (input: any): void;
} & {
    error: LogExec;
    warn: LogExec;
    info: LogExec;
    verbose: LogExec;
    debug: LogExec;
    special: LogExec;
    silly: LogExec;
};
export declare function bootstrap(): Promise<{
    bootstrap: {
        [key: string]: any;
    };
    init: {
        [key: string]: any;
    };
}>;
export declare function die(): Promise<any>;
export declare function dieSync(): any;
